#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		1.6
#-----------------------------------------------------------------------------
Name		:	atkmm
Version		:	2.28.3
Release		:	17.0.10.rel%{?dist}
Summary		:	C++ interface for the ATK.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/atkmm

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	atk-devel
BuildRequires	:	doxygen
BuildRequires	:	glibmm-2-4-devel
BuildRequires	:	graphviz
BuildRequires	:	mm-common

Provides	:	%{name}%{apiver}	=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description
'%{name}' is the official C++ interface for the ATK accessibility
toolkit library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md NEWS
%{_libdir}/lib%{name}-%{apivers}.so.1*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

Provides	:	%{name}%{apiver}-devel	=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{apivers}/%{name}.h
%{_includedir}/%{name}-%{apivers}/%{name}/*.h
%{_includedir}/%{name}-%{apivers}/%{name}/private/*.h
%{_libdir}/lib%{name}-%{apivers}.so*
%{_libdir}/%{name}-%{apivers}/include/%{name}config.h
%{_libdir}/%{name}-%{apivers}/proc/m4/conver*.m4
%{_libdir}/pkgconfig/%{name}-%{apivers}.pc

#=============================================================================
%package		doc

Summary		:	API documentation for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the full API documentation for %{name}.
	
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_datadir}/devhelp/books/%{name}-%{apivers}/%{name}-%{apivers}.devhelp2
%{_defaultdocdir}/%{name}-%{apivers}/*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
